
#ifndef _MENU_H
#define _MENU_H

#include "list/list.h"
#include "screen.h"
#include "bitmap.h"


class Menu : public Bitmap
{
  public:
    Menu( Screen* newScreen, int x0, int y0 );
    virtual ~Menu( void );

    int start( void ); // gibt die gedrueckte Taste zurueck oder 0 
    void addEntry( char* entry ); // z.B. "~load"

    virtual void draw( void );

  protected:
    Bool _isKeyOk( int key );

    Line *left, *right, *upper, *lower;
    ZeigerListe<char> list;
};


#endif // _MENU_H
